LINUX.ORG.RU

SDDM 0.18.0

 


1

3

Состоялся релиз минималистичного дисплейного менеджера SDDM 0.18.0. Данный дисплейный менеджер написан с использованием Qt5/QtQuick, и предназначен как для управления классическими сеансами X11, так и управления Wayland-сессиями. SDDM используется в KDE Plasma и LXQt. В новом выпуске:

  • Добавлена поддержка аватаров, используемых с темами оформления.
  • Обеспечена поддержка сборки с Qt 5.11.
  • Улучшено определение платформы при использовании HighDPI.
  • При закрытии обеспечено автоматическое переключение VT консоли в текущую сессию.
  • Улучшена поддержка ConsoleKit 2.
  • Закрыта уязвимость при входе в систему со скрытой опцией ReuseSession=true.
  • Добавлена опция NoDisplay=true для скрытия сессии.
  • Обеспечено предотвращение выхода по сигналу SIGHUP.
  • Обновлены переводы.

>>> Подробности

минималистичного

Когда это мода кончится на всякое минималистичное, легковесное, простое и тп.? Хочу мощные комбайны. Супер функциональные, современные.

anonymous ()

Состоялся релиз минималистичного дисплейного менеджера SDDM 0.18.0. Данный дисплейный менеджер написан с использованием Qt5/QtQuick

минималистичного

QtQuick

Хорошо хоть не сказали легковесного

upcFrost ★★★★★ ()

мне нравится но его использовать в корпоративной среде не возможно, просроченные пароли не обновляет, второй фактор не ловит, любой другой dm с этим справляется на ура, даже xdm.

Novell-ch ★★★★★ ()
Ответ на: комментарий от Novell-ch

просроченные пароли не обновляет, второй фактор не ловит,

Для тех кто про корпоративную среду слышит на лоре, можно объяснить что все это значит?

Behem0th ★★★★★ ()
Последнее исправление: Behem0th (всего исправлений: 1)
Ответ на: комментарий от Behem0th

Есть ldap с базой юзеров, пароли у них устаревают за 3 месяца + есть yubikey или google authenticator которые генерят 2 фактор. Пароль устаревает и sddm просто не пускает человека(есть пулл реквест которые это лечит но его уже года 1.5 не пускают), тогда как в любом другом тебе вылезет окошко и скажет что пароль устарел и нужно его обновить и попросит тебя ввести новый пароль. А второй фактор перестало ловить когда в федоре 28 в pam сменили use_first_pass на forward_pass, то есть раньше оно хотело пароль+2 фактор одной строкой то сейчас для логина оно просит ввести пароль и потом уже второй фактор, sddm такое не умеет, и собственно опять же не дает входа, локер kde тоже это не умеет.

Novell-ch ★★★★★ ()
Ответ на: комментарий от Novell-ch

Сложна.

«есть пулл реквест которые это лечит но его уже года 1.5 не пускают» это одно из самых неприятных ситуаций в опенсорсе :-( Неужели такими юзкейсами мало кто пользуется, что их так долго не чинят?

Behem0th ★★★★★ ()
Ответ на: комментарий от Behem0th

Дооо, в клозетсорсе реагируют оперативно на каждый чих. А что мешает допилить самому или попросить дружбана Васю наколхозить такой патч за пивас?

A-234 ★★★★★ ()
Ответ на: комментарий от A-234

клозетсорсе

А там с этим все лучше. Нет патчей с реализацией фишек в багтрекере - нет проблем. :-)

А что мешает допилить самому или попросить дружбана Васю наколхозить такой патч за пивас?

Его так же не примут в апстрим. И ничего не поменяется.

Behem0th ★★★★★ ()
Ответ на: комментарий от Behem0th

Сдался вам этот апстрим, когда можно самому собрать и пользоваться а потом либо форкнуть либо патчсет выпускать, если штука годной окажется. В опенсорсе вы вольны поступать как вам удобно и не ждать пока манагер протрезвеет.

A-234 ★★★★★ ()
Ответ на: комментарий от A-234

А если в апстриме исправят очень опасную уязвимость а на новую версию написанный Васей патч не накладывается. То варианта 2 либо переписывать патч под новую версию, либо бэкпортировать фикс уязвимости. И опят нужно платить Василию. Так что апстрим это очень удобно.

В опенсорсе вы вольны поступать как вам удобно

Так я и не против опенсорса.

Behem0th ★★★★★ ()
Ответ на: комментарий от Behem0th

А если в апстриме исправят очень опасную уязвимость а на новую версию написанный Васей патч не накладывается.

Чорт побери, придется еще раз бежать за пивом. А если завтра всем на «Эльбрус» переходить придется и большая часть софта вообще работать откажется? Проблемы нужно решать по мере их поступления и не страшиться вещей которые не произошли и вероятно никогда не произойдут. Выкладывая свой патч в общий доступ вы повышаете вероятность его включения в апстрим многократно.

Так что апстрим это очень удобно.

То что люди соглашаются поработать на вас бесплатно это конечно удобно, я с вами согласен полностью.

A-234 ★★★★★ ()
Ответ на: комментарий от anonymous

А какова хера slim забросили пилить ?

Он идеален, для своих задач. Чего там ещё пилить? Обвешивать приблудами, так перестанет он слимом быть.

пс. Пробел перед вопросительным знаком ставить не надо.

ashot ★★★ ()
Ответ на: комментарий от ashot

Ты кстати в курсе СКОЛЬКО у него критических багов, никак не прикрытых в апстриме, идеальный ты наш? Но мне он нравился, всяко лучше kdm и компании. Конфиги не очень удобные правда. Использую sddm практически с 0 версии, сейчас с ним всё очень хорошо.

anonymous ()
Ответ на: комментарий от anonymous

Ты кстати в курсе СКОЛЬКО у него критических багов

Нет. У меня всё работало, когда пользовал на нетбуке.

Я мимокрокодил, если чё. Просто предположил.)

ashot ★★★ ()
Ответ на: комментарий от cetjs2

Когда это мода кончится на всякое минималистичное, легковесное, простое и тп.? Хочу мощные комбайны. Супер функциональные, современные.

Толсто! Ставь хоть гном, хоть кеды, хоть macOS, хоть винду...

А ДМ-то тут каким боком? Вот, только что поставил sddm на стабильную слаку 14.2 (кеды 4-е, если чё). Кроме экрана где пароль вводят, разницы не заметил.

Где, кстати, тем накачать? opendesktop.org почему-то не открывается. Я чего-то прослоупочил или телеграм туда насрать успел?

пс. Через проксю заходит, если что.

ashot ★★★ ()
Последнее исправление: ashot (всего исправлений: 2)